# CEGUI::ButtonBaseProperties Namespace Reference

Namespace containing all classes that make up the properties interface for the ButtonBase class. More...

## Classes

class | NormalTextColour
| Property to access the normal text colour. More...
class | HoverTextColour
| Property to access the hover / highlight text colour. More...
class | PushedTextColour
| Property to access the pushed text colour. More...
class | DisabledTextColour
| Property to access the disabled text colour. More...

## Detailed Description

Namespace containing all classes that make up the properties interface for the ButtonBase class.